# Transactions Service API

Base URL: `https://interact-uat.hsbc.com/yi-transactions-service/`

### GET /v1/test-transactions

**Get seeded transactions**

Returns the transactions in the in-memory test store for a customer and account. This endpoint is intended for development and testing only and does not require authentication.

#### Parameters

| Name | In | Type | Description |
|---|---|---|---|
| `customerId` | query | string *(required)* | Customer identifier used to scope the in-memory test store. |
| `accountId` | query | string *(required)* | Account identifier used to scope the in-memory test store. |


#### Responses

- **200** — Seeded transactions retrieved successfully
- **400** — Invalid test-store request.
- **401** — Unauthorized — authentication credentials missing or invalid
- **403** — Forbidden — insufficient permissions for this resource
- **500** — Internal server error


#### Examples

```bash
curl "https://interact-uat.hsbc.com/yi-transactions-service/v1/test-transactions" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

```javascript
const response = await fetch("https://interact-uat.hsbc.com/yi-transactions-service/v1/test-transactions", {
  headers: {
      "Authorization": "Bearer YOUR_TOKEN"
  },
});

const data = await response.json();
```

```python
import requests

url = "https://interact-uat.hsbc.com/yi-transactions-service/v1/test-transactions"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}

response = requests.get(url, headers=headers)
print(response.json())
```

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://interact-uat.hsbc.com/yi-transactions-service/v1/test-transactions"))
    .header("Authorization", "Bearer YOUR_TOKEN")
    .GET()
    .build();

HttpResponse<String> response = client.send(
    request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```

#### Example response

```json
{
  "responseBody": {
    "accountId": "GBHRFBCA40117703000087",
    "pagingInfo": {
      "startIndex": "0",
      "endIndex": "0",
      "isMoreRec": "N"
    },
    "sortInfo": {
      "sortColumn": "PD",
      "sortOrder": "D"
    },
    "stmtTranList": [
      {
        "postDate": "2026-07-07",
        "seqNo": "1",
        "amt": "-3.20",
        "crDbInd": "D"
      }
    ]
  }
}
```

